// Q 2.1

// pour effacer les variables
clear all;
//***********************************************************

// génération d'un signal sinusoidal de fréquence :
fs=3000;  // Hz
fe=8000;
Te=1/fe;
N=32;
n=0:N-1; // n = vecteur de N points, de 0 à N-1
t=n*Te;   // en s
xs=sin(2*%pi*fs*t);

// domaine fréquentiel
Xs=fft(xs,-1);
Xs=fftshift(Xs);


xset("window",0);xbasc(); // selectionne (ou crée) la fenetre 0 et l'efface
titlepage("signal sinusoidal, frequence 3 kHz, Fe = 8 kHz, FFT sur 32 points")

// visualisation des 20 premiers points
subplot(211);plot2d(t(1:20),xs(1:20),1);
xtitle("Representation temporelle","t (s)")

// Spectre
f=(-.5:1/N:.5-1/N)*(fe*0.001);   // en kHz (dénormalisation de la fréquence )
subplot(212);plot2d(f,20*log10(abs(Xs/length(Xs))),1) // NB : normalisation / NFFT
xtitle("Representation frequentielle (en dB)","f (kHz)")


