N = 8;
x = ones(1,N); // x(n)=1 pour n=0...N-1

// convolution lineaire x*x
y1 = convol(x,x);

// TFD inverse de X(k)^2
X=fft(x,-1);
Y = X.^2;
y2 = fft(Y,1);

// visualisation 

N1 = length(y1);
xset("window",0);xbasc(); // selectionne (ou crée) la fenetre 0 et l'efface
subplot(211);plot2d(0:N1-1,y1,-3);
xtitle("Convolution linéaire de x(n) par x(n)")

N2 = length(y2);
xset("window",0);
subplot(212);plot2d(0:N2-1,y2,-3);
xtitle("TFD inverse de X(k)^2")


