// Q 1

// pour effacer les variables
clear all;
//***********************************************************

// génération d'une fenêtre rectangulaire de longueur 32 :
rect1 = ones(1,32);

// domaine fréquentiel : TFD de rect1
RECT1=fft(rect1,-1);
RECT1=fftshift(RECT1);
f1 = -0.5:1/32:0.5-1/32; // fréquences normalisées échantillonnées (32 points)

// affichage
xset("window",0);xbasc(); // selectionne (ou crée) la fenetre 0 et l'efface
subplot(211);plot2d(0:31,rect1,-9) 
xtitle("Fenetre rectangulaire de longueur N=32")
subplot(212);plot2d(f1,20*log10(abs(RECT1/length(RECT1)+%eps))) // NB : normalisation / NFFT
xtitle("TFD sur 32 points (en dB)","f (kHz)")

//**********************************************

//// Complétion de rect1 par des zéros :
//rect2 = [zeros(1,240),rect1,zeros(1,240)];
//// TFD de rect2
//RECT2=fft(rect2,-1);
//RECT2=fftshift(RECT2);
//f2 = -0.5:1/512:0.5-1/512; // fréquences normalisées échantillonnées (512 points)
//
//// affichage
//xset("window",1);xbasc(); 
//subplot(211);plot2d(0:511,rect2,-9) 
//xtitle("Fenetre rectangulaire de longueur N=32")
//subplot(212);plot2d(f2,20*log10(abs(RECT2/length(RECT2)+%eps))) // NB : normalisation / NFFT
//xtitle("TFD sur 512 points (en dB)","f (kHz)")
//

